<?php
/**
 *
 *User:Administrator
 *Date:2021/10/11
 */

namespace app\api\model;

use think\Model;

class TestPesticides extends Model
{
    protected $table = 't_test_pesticides';
    protected $pk = 'id';
    public function deletePesticidesInfoByTestModelID($test_model_id)
    {
        return $this->where('test_model_id', '=', $test_model_id)->delete();//return 2
    }

    public function insertPesticidesInfo($update_data)
    {
        return $this->insertAll($update_data);
    }

    public function getInfoByTestModelId($test_model_id)
    {
        return $this->where('test_model_id', '=', $test_model_id)->select();
    }
}